Home Query highest supported OpenGL version before context initialization?
Reply: 0

Query highest supported OpenGL version before context initialization?

user5686
1#
user5686 Published in September 19, 2018, 9:08 am

I want to know if there is a way (ideally cross platform, but if not just POSIX compliant or at least in Linux) to query for the highest supported OpenGL version in the current system.

I would like to be able to instantiate GLFW windows to be the highest supported version, rather than blindly trying different versions until one allows for valid context initialization.

EDIT:

Assume I am not creating a context. Imagine I want to replicate what glxinfo does. In other words, I want to be able to query the installed OpenGL version without EVER creating a context.

share|improve this question
  • 1
    glxinfo creates contexts. – genpfault Apr 16 at 21:08

2 Answers 2

active oldest votes
up vote 1 down vote accepted
You need to login account before you can post.

About| Privacy statement| Terms of Service| Advertising| Contact us| Help| Sitemap|
Processed in 3.317284 second(s) , Gzip On .

© 2016 Powered by mzan.com design MATCHINFO